Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.jsp.wb
Class JSTreeData

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.DHTMLElement
                  |
                  +--oracle.jdeveloper.html.DHTMLElementContainer
                        |
                        +--oracle.jdeveloper.html.HTMLScript
                              |
                              +--oracle.jdeveloper.jsp.wb.JSTreeData

public class JSTreeData
extends HTMLScript
implements WebBean

Field Summary
`protected WebBeanImpl` | `webBean`

Fields inherited from class oracle.jdeveloper.html.HTMLScript
`version`

Fields inherited from class oracle.jdeveloper.html.DHTMLElementContainer
`Elements`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Fields inherited from interface oracle.jdeveloper.html.WebBean
`contentFrameName, defaultCaboBase, defaultCaboImageBase, defaultImageBase, defaultJSPBase, JS_LIBRARIES, JS_NAMEID, JSButtonConstructorLib, JSCalendarConstructorLib, JSContainerConstructorLib, JSDataConstructLib, JSModalPageConstructorLib, JSTableConstructLib, JSToolbarConstructorLib, JSTreeConstructLib, JSUtilitiesLib`

Constructor Summary
`JSTreeData()`
`JSTreeData(java.lang.String name)`

Method Summary
`void` | `addRow(DHTMLRow row)`
`void` | `addRow(java.lang.String text, java.lang.String state, int childCount, java.lang.String url, boolean populated)`
`void` | `addRow(java.lang.String text, java.lang.String state, int childCount, java.lang.String url, boolean populated, java.lang.String imageUrl)`
`java.lang.String` | `getName()`
`void` | `initialize(javax.servlet.jsp.PageContext page)` Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
`void` | `initialize(javax.servlet.ServletContext application, javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.jsp.JspWriter out)`
`void` | `initialize(javax.servlet.ServletContext appContext, javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.io.PrintWriter out)` Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
`void` | `internalInitialize()` Internal initialize.
`void` | `render()` Renders the Toolbar to the output stream of the JSP page's response.
`void` | `render(java.io.PrintWriter out)` This is the main entry point for rendering the HTML content.
`void` | `setName(java.lang.String name)`

Methods inherited from class oracle.jdeveloper.html.HTMLScript
`addFunction, renderContainerFooter, renderContainerHeader, setVersion`

Methods inherited from class oracle.jdeveloper.html.DHTMLElementContainer
`addElement, addElement, elementAt, indexOf, numberOfElements, removeElement, removeElement, removeElementAt, renderElementFooter, renderElementHeader`

Methods inherited from class oracle.jdeveloper.html.DHTMLElement
`CheckValidName, filterDataChar`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### webBean

    protected WebBeanImpl webBean

Constructor Detail

### JSTreeData

    public JSTreeData()

### JSTreeData

    public JSTreeData(java.lang.String name)

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### addRow

    public void addRow(DHTMLRow row)

### addRow

    public void addRow(java.lang.String text,
                       java.lang.String state,
                       int childCount,
                       java.lang.String url,
                       boolean populated)

### addRow

    public void addRow(java.lang.String text,
                       java.lang.String state,
                       int childCount,
                       java.lang.String url,
                       boolean populated,
                       java.lang.String imageUrl)

### initialize

    public void initialize(javax.servlet.ServletContext appContext,
                           javax.servlet.http.HttpSession session,
                           javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response,
                           java.io.PrintWriter out)
                    throws java.lang.Exception

  Description copied from interface: WebBean
  Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.

  Specified by:
    initialize in interface WebBean
  Tags copied from interface: WebBean
  Parameters:
    `appContext` - the JSP page's ServletContext.
    `session` - the JSP page's HttpSession.
    `request` - the JSP page's HttpServletRequest.
    `response` - the JSP page's HttpServletResponse.
    `out` - the PrintWriter to render to.

### initialize

    public void initialize(javax.servlet.jsp.PageContext page)
                    throws java.lang.Exception

  Description copied from interface: WebBean
  Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
  Specified by:
    initialize in interface WebBean
  Tags copied from interface: WebBean
  Parameters:
    `page` - the JSP page's ServletContext.

### initialize

    public void initialize(javax.servlet.ServletContext application,
                           javax.servlet.http.HttpSession session,
                           javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response,
                           javax.servlet.jsp.JspWriter out)
                    throws java.lang.Exception

### internalInitialize

    public void internalInitialize()
                            throws java.lang.Exception

  Description copied from interface: WebBean
  Internal initialize. This method should be overriden by any WebBean needing to initialize some internal data after all the base class member have been initialize properly.
  Specified by:
    internalInitialize in interface WebBean

### render

    public void render()
                throws java.lang.Exception

  Renders the Toolbar to the output stream of the JSP page's response.
  Specified by:
    render in interface WebBean

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  This is the main entry point for rendering the HTML content.
  Specified by:
    render in interface WebBean
  Overrides:
    render in class DHTMLElementContainer
  Tags copied from interface: WebBean
  Parameters:
    `out` - the PrintWriter to render to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD